Bug 853995 - Error is incorrect for non-existing systems
Error is incorrect for non-existing systems
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 10:14 EDT by Lukas Zapletal
Modified: 2014-01-27 08:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When executing the katello command calling a non-existent system, an incorrect error results: "Found ambiguous Systems [system_name] in Environment [none] in Org [Org_name], use --uuid to specify the system" This is misleading as the system does not exist in the server. The error handling for non-existent systems have been fixed and the command should now give the correct error: "Could not find System [system_name]".
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:52:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2012-09-03 10:14:07 EDT
kk system info --name non_existing
Found ambiguous Systems [ non_existing ] in Environment [ None ] in Org [ ACME_Corporation ], use --uuid to specify the system

This is incorrect, it should error with "Not found".
Comment 1 Lukas Zapletal 2012-09-03 10:14:35 EDT
Taking, it's a regression.
Comment 2 Lukas Zapletal 2012-09-10 04:00:02 EDT
commit be134c201c27289a81a3fa7d0e68ee78505de679
Merge: b594042 6d70002
Author: Lukáš Zapletal <lzap@redhat.com>
Date:   Tue Sep 4 06:28:10 2012 -0700

    Merge pull request #570 from lzap/system_register_853056
    
    cli - system register 853056 and error handling 853995

commit 588a4b6ae56cb838e9b3f5d6fabd339e364d07d0
Author: Lukas Zapletal <lzap+git@redhat.com>
Date:   Mon Sep 3 16:39:37 2012 +0200

    853995 - error handling for non-existing systems
Comment 4 Og Maciel 2012-09-15 19:25:32 EDT
# katello -u admin -p admin system info --org QE --name foobar
Could not find System [ foobar ] in Org [ QE ]
Comment 5 Og Maciel 2012-09-15 19:25:49 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 7 errata-xmlrpc 2012-12-04 14:52:25 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.